/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef SEPARATORITEMDELEGATE_H
#define SEPARATORITEMDELEGATE_H
/**
 * @file separatoritemdelegate.h
 * @brief Item delegate drawing a separator in list widgets.
 *
 */

#include <QStyledItemDelegate>

/**
 * @brief Item delegate drawing a separator in list widgets.
 */
class SeparatorItemDelegate : public QStyledItemDelegate
{
Q_OBJECT

public:
    SeparatorItemDelegate(QWidget *parent = 0) : QStyledItemDelegate(parent){}

    /**
     * @brief Renders the delegate using the given painter and options.
     *
     * @param painter   The painter to draw the item.
     * @param option    The style options.
     * @param index     The model index of the item to draw.
     */
    void paint(QPainter *painter, const QStyleOptionViewItem &option,
        const QModelIndex &index) const;
};
#endif
